Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Interface DeleteResults

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface DeleteResults

This class represents the results of a delete association operation.

Method Summary
`int` | `getFailCnt()` Deprecated See BEA Commerce product offering
`List` | `getFailList()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`int` | `getSuccessCnt()` Deprecated See BEA Commerce product offering
`List` | `getSuccessList()` Deprecated See BEA Commerce product offering

Method Detail

### getIdentifier

    String getIdentifier()

  Deprecated See BEA Commerce product offering

  Provides the identifier associated with the delete request.

  Returns
    the identifier associated with the delete request.

### getSuccessCnt

    int getSuccessCnt()

  Deprecated See BEA Commerce product offering

  Returns
    an integer describing the number of successfully deleted associations.

### getFailCnt

    int getFailCnt()

  Deprecated See BEA Commerce product offering

  Returns
    an integer describing the number of associations that failed to be deleted.

### getSuccessList

    List getSuccessList()

  Deprecated See BEA Commerce product offering

  Provides a List of successfully deleted associations to the caller. Each entry in the List is a integer representing the unique id of the association.

  Returns
    the List of unique association IDs for the successfully deleted associations. If no associations have been successfully deleted null will be returned.

### getFailList

    List getFailList()

  Deprecated See BEA Commerce product offering

  Provides a List of failures to the caller.

  Returns
    the List of failures, typically a collection of AssociationException objects. If no failures have occured null will be returned.
  See Also
    `AssociationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved